module filtermanager {
    export class WebProperty {

        private PROFILES: util.StringMap<Profile> = new util.StringMap<Profile>();

        constructor(
            private gam: FilterManager,
            private _id: string,
            private _name: string,
            private _internalId: string,
            private _level: string,
            private _accountId: string,
            profiles: Array<ParcialProfile>
        ) {
            for (var i: number = 0; i < profiles.length; i++) {
                this.PROFILES.put(
                    profiles[i].id,
                    new Profile(
                        this.gam,
                        profiles[i].id,
                        profiles[i].name,
                        profiles[i].type,
                        this._accountId,
                        this._id
                    )
                );
            }
        }
        public get name() {
            return this._name;
        }
        public get id() {
            return this._id;
        }
        public get profiles() {
            return this.PROFILES;
        }
    }
}